Processes
Update process
Update or scale the running processes of an application.
PUT
/
applications
/
processes
/
{id}
Update process
curl --request PUT \
--url https://api.sevalla.com/v2/applications/processes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scaling_strategy": {
"type": "manual",
"config": {
"instanceCount": 25
}
},
"entrypoint": "<string>"
}
'import requests
url = "https://api.sevalla.com/v2/applications/processes/{id}"
payload = {
"scaling_strategy": {
"type": "manual",
"config": { "instanceCount": 25 }
},
"entrypoint": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scaling_strategy: {type: 'manual', config: {instanceCount: 25}},
entrypoint: '<string>'
})
};
fetch('https://api.sevalla.com/v2/applications/processes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process": {
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"display_name": "Web Process",
"entrypoint": "npm start",
"scaling_strategy": {
"type": "<string>",
"config": {}
},
"updated_at": 1738195200000,
"created_at": 1738195200000
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
Previous
Create internal connectionCreate an internal connection between an application and another resource (application or database) within the same region.
Next
⌘I
Update process
